import request from '@/utils/request'

// 统计报表中的统计数据（佣金，出金，入金，交易量）
export const statReportInfo = () => {
    return request({
        url: '/app/partners/statReportInfo',
        method: 'get'
    })
}

// 查询报表筛选条件（适用所有报表）
export const getFilterColumns = (query) => {
    return request({
        url: '/app/report/getFilterColumns',
        method: 'get',
        params: query
    })
}

// 入金报表
export const getReport16 = (query) => {
    return request({
        url: '/app/report/getReport16',
        method: 'get',
        params: query
    })
}

// 出金报表
export const getReport17 = (query) => {
    return request({
        url: '/app/report/getReport17',
        method: 'get',
        params: query
    })
}

// 转账报表
export const getReport18 = (query) => {
    return request({
        url: '/app/report/getReport18',
        method: 'get',
        params: query
    })
}

// 挂单报表
export const getReport14 = (query) => {
    return request({
        url: '/app/report/getReport14',
        method: 'get',
        params: query
    })
}

// 交易报表
export const getReport20 = (query) => {
    return request({
        url: '/app/report/getReport20',
        method: 'get',
        params: query
    })
}

// 账户综合报表
export const getReport21 = (query) => {
    return request({
        url: '/app/report/getReport21',
        method: 'get',
        params: query
    })
}

// 持仓报表
export const getReport22 = (query) => {
    return request({
        url: '/app/report/getReport22',
        method: 'get',
        params: query
    })
}

// 资金报表
export const getReport24 = (query) => {
    return request({
        url: '/app/report/getReport24',
        method: 'get',
        params: query
    })
}

// 交易返佣报表
export const getReport26 = (query) => {
    return request({
        url: '/app/report/getReport26',
        method: 'get',
        params: query
    })
}

// 待定钱包报表
export const getReport27 = (query) => {
    return request({
        url: '/app/report/getReport27',
        method: 'get',
        params: query
    })
}

// 佣金钱包报表
export const getReport28 = (query) => {
    return request({
        url: '/app/report/getReport28',
        method: 'get',
        params: query
    })
}

// MT账户统计报表
export const getReport40 = (query) => {
    return request({
        url: '/app/report/getReport40',
        method: 'get',
        params: query
    })
}

// 业绩统计报表
export const getReport81 = (query) => {
    return request({
        url: '/app/report/getReport81',
        method: 'get',
        params: query
    })
}